


# SmeupDynamismService class












## Constructors

[SmeupDynamismService](../smeup_services_smeup_dynamism_service/SmeupDynamismService/SmeupDynamismService.md) ()

    


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_





## Static Methods

##### [manageResponseMessage](../smeup_services_smeup_dynamism_service/SmeupDynamismService/manageResponseMessage.md)([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context, dynamic response, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[ScaffoldState](https://api.flutter.dev/flutter/material/ScaffoldState-class.html)> scaffoldKey) dynamic



   




##### [replaceFunVariables](../smeup_services_smeup_dynamism_service/SmeupDynamismService/replaceFunVariables.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) funString, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)> formKey) [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



   




##### [run](../smeup_services_smeup_dynamism_service/SmeupDynamismService/run.md)([List](https://api.flutter.dev/flutter/dart-core/List-class.html) dynamisms, [BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) event, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[ScaffoldState](https://api.flutter.dev/flutter/material/ScaffoldState-class.html)> scaffoldKey, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)> formKey) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void>



   




##### [storeDynamicVariables](../smeup_services_smeup_dynamism_service/SmeupDynamismService/storeDynamicVariables.md)(dynamic data, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)> formKey) void



   




##### [storeFormVariables](../smeup_services_smeup_dynamism_service/SmeupDynamismService/storeFormVariables.md)([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html) data, [GlobalKey](https://api.flutter.dev/flutter/widgets/GlobalKey-class.html)&lt;[FormState](https://api.flutter.dev/flutter/widgets/FormState-class.html)> formKey) void



   





## Constants

##### [loggerId](../smeup_services_smeup_dynamism_service/SmeupDynamismService/loggerId-constant.md) const [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



   









